

set -ex



python -c "from beat.core.test.utils import pull_docker_test_images as f; f()"
worker --help
nosetests --with-coverage --cover-package=beat.core -sv beat.core
sphinx-build -aEW ${PREFIX}/share/doc/beat.core/doc sphinx
if [ -n "${CI_PROJECT_DIR}" ]; then mv sphinx "${CI_PROJECT_DIR}/"; fi
sphinx-build -aEb doctest ${PREFIX}/share/doc/beat.core/doc sphinx
conda inspect linkages -p $PREFIX beat.core
conda inspect objects -p $PREFIX beat.core
exit 0
